Skip to content

Add a Client Configuration Option

Request

Admin roles:
  • access_admin

Adds a Client Configuration Option to a Project. Use Client Configuration Options to automatically pass settings to any Client that accesses a Server within the Project.

Security
bearerAuth
Path
team_namestringrequired

The name of your Team

project_namestringrequired

The Project name

Bodyapplication/jsonrequired
config_keystringrequired

The name of the Client Configuration Option

Enum:"ssh.port_forward_method""forward_client_trust.enable""ssh.insecure_forward_agent"
config_valueforward_client_trust.enable (string) or ssh.insecure_forward_agent (string) or ssh.port_forward_method (string)required
One of:

The value of the Client Configuration Option

string(forward_client_trust.enable)
Enum:"always""ask""never"
curl -i -X POST \
  'https://app.scaleft.com/v1/teams/{team_name}/projects/{project_name}/client_config_options' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "config_key": "ssh.insecure_forward_agent",
    "config_value": "host",
    "id": ""
  }'

Responses

OK

Bodyapplication/json
config_keystringrequired

The name of the Client Configuration Option

Enum:"ssh.port_forward_method""forward_client_trust.enable""ssh.insecure_forward_agent"
config_valueforward_client_trust.enable (string) or ssh.insecure_forward_agent (string) or ssh.port_forward_method (string)required
One of:

The value of the Client Configuration Option

string(forward_client_trust.enable)
Enum:"always""ask""never"
idstring, (regex)^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-...read-onlyrequired

The UUID of a Client Configuration Option

Response
{ "config_key": "ssh.insecure_forward_agent", "config_value": "host", "id": "ec74cb65-b413-4c02-a6f7-7d08dca1ff73" }